Subject: bug#42675: closed (Re: bug#42675: Solaris 11.3 x86_64 support)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 06 Aug 2020 23:03:02 +0000

Your bug report

#42675: Solaris 11.3 x86_64 support

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42675: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42675
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#42675: Solaris 11.3 x86_64 support
From: Paul Eggert <[email-masked]>
To: Mike Kupfer <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 6 Aug 2020 16:02:07 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

> Recently I've not had much luck building Emacs using the Studio
> compiler.  I don't know if it's a problem with Emacs, Studio, or
> Solaris, and I haven't had the time to look into it.

For what it's worth, I built and ran Emacs master with Oracle Developer Studio 
12.6 on Solaris 10 sparc with these commands:

../emacs-28.0.50/configure CC=cc --with-jpeg=ifavailable --with-png=ifavailable 
--with-gif=ifavailable --with-tiff=ifavailable --with-gnutls=ifavailable
gmake

I needed the "ifavailable" options because those libraries aren't available on 
Solaris 10.

If you're still having problems with Studio please file a bug report when you 
have the time. I did just now fix a problem on OpenIndiana (which needs 
"#include <gmp/gmp.h>" not "#include <gmp.h>") so if that's what you ran into it 
should be fixed now.

The original bug that prompted this bug report seems to have been fixed so I'm 
taking the liberty of marking this bug as done.

Subject: Solaris 11.3 x86_64 support
From: Jeffrey Walton <[email-masked]>
To: [email-masked]
Date: Sun, 2 Aug 2020 10:00:35 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Everyone,

I'm submitting this one because etc/MACHINES says Solaris is supported.

I'm building on Solaris 11.3 using x86_64 per [1]. I use
'--build=x86_64-sun-solaris' because Autoguess chooses 32-bit instead
of 64-bit (even with CFLAGS and CXXFLAGS including -m64).

  $ ./configure ...
  checking for xcrun... no
  checking for GNU Make... gmake
  checking build system type... x86_64-sun-solaris2
  checking host system type... x86_64-sun-solaris2
  configure: error: Emacs does not support 'x86_64-sun-solaris2' systems.
  If you think it should, please send a report to [email-masked].

But according to etc/MACHINES:

  $ cat etc/MACHINES
  ...

  ** Solaris

    On Solaris it is also possible to use either GCC or Solaris Studio
    to build Emacs, by pointing ./configure to the right compiler ...

[1] https://docs.oracle.com/cd/E37838_01/html/E66175/appendixb.html